Home > iphonehacks > Ultrasn0w 1.2.1 To Unlock For iPhone 4, iPhone 3GS On iOS 4.3.1 Released; Also Fixes Signal Bar Issue

Ultrasn0w 1.2.1 To Unlock For iPhone 4, iPhone 3GS On iOS 4.3.1 Released; Also Fixes Signal Bar Issue

April 10th, 2011 04:42 admin Leave a comment Go to comments

Unlock iPhone 4

As expected, iPhone Dev team has released an updated version of Ultrasn0w – v1.2.1 to fix the iOS 4.3.1 compatibility issues and to also the signal bar issue reported by users who had jailbroken their iPhone using PwnageTool, Redsn0w or Sn0wbreeze for iOS 4.3.1.

Ultrasn0w 1.2.1 for iOS 4.3.1 currently supports iPhone 4 baseband 01.59.00 and iPhone 3GS basebands 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00.

Dev team has provided the following information on their blog:

We’ve pushed out the 4.3.1 compatibility fix for ultrasn0w in Cydia — it’s now at version 1.2.1.  If you’re not already at 4.3.1 and you need the unlock, please be sure you understand how to get to 4.3.1 using a custom IPSW that doesn’t update your baseband.

This isn’t a new unlock!  It’s to allow those who are already using ultrasn0w to use FW 4.3.1. It also fixes the signal bar issue for those who aren’t using the unlock but retain an older baseband intentionally.

AFTER INSTALLING ULTRASN0W 1.2.1, PLEASE REBOOT YOUR iPHONE using the normal “slide to power off†swipe.  T-Mobile users in the USA also should disable 3G mode in Settings->General->Network.

A big thanks to @sbingner and @ronaldsb for helping with the testing of this update!

Ultrasn0w 1.2.1 can be installed on a jailbroken iPhone 4 (baseband 01.59.00) or iPhone 3GS (baseband 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00) on iOS 4.3.1. Note: You can find your iPhone’s baseband by going to Settings –> About –> Modem Firmware

Ultrasn0w 1.2.1 can’t unlock iPhone 4 basebands – 02.10.04 (bundled with iOS 4.1), 03.10.01 (bundled with iOS 4.2.1), 04.10.01 (bundled with iOS 4.3) or iPhone 3GS basebands – 05.14.02 (bundled with iOS 4.1), baseband 05.15.04 (bundled with iOS 4.2.1), baseband 05.16.01 (bundled with iOS 4.3) and baseband 05.16.02 (bundled with iOS 4.3.1).

iPhone users who don’t care about unlocking but want to fix the signal bar issue also need to install Ultrasn0w 1.2.1.

If you meet the baseband requirements then you can follow these steps to unlock your jailbroken iPhone or fix the signal bar issue (T-Mobile USA users should disable 3G before using Ultrasn0w):

  1. Launch Cydia from the homescreen.
  2. Tap on the Search tab and search for ‘ultrasn0w’. That last “o†is actually the number zero “0â€. If you use the letter “o†you’ll get an error.
  3. Select ultrasn0w from the search results.
  4. Then tap on the Install button.
  5. Tap on the Confirm button.
  6. You will be prompted to Restart SpringBoard, tap on it.
  7. Reboot your iPhone, your iPhone should now be successfully unlocked or the signal bar issue should be fixed.

As always, let us know how it goes.

[via Dev Team’s blog]

Source: Ultrasn0w 1.2.1 To Unlock For iPhone 4, iPhone 3GS On iOS 4.3.1 Released; Also Fixes Signal Bar Issue

Related Articles:

  1. Ultrasn0w For iOS 4.3.1 To Fix Signal Bar Issues; Will Be Released In Next Few Days
  2. Breaking News: iPhone Dev Team Releases Ultrasn0w 1.0-1 To Unlock iPhone 4
  3. iPhone Dev Team Releases UltraSn0w 0.93 To Unlock iOS 4 Baseband 05.13.04, Also Unlocks All Basebands Since iPhone OS 3.0
  4. Sn0wbreeze 2.3 Beta 4 For iOS 4.3 Released; Allows Users To Unlock iPhone 4 Baseband 01.59.00, iPhone 3GS Basebands 05.13.04 Or Earlier Using Ultrasn0w
  5. Dev Team To Release Ultrasn0w To Unlock iPhone 3GS, iPhone 3G After iOS 4.2 Is Released
blog comments powered by Disqus
YOYOYOOYOYOYO